Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
media-video/ffmpeg:0 ("media-video/ffmpeg:0" is blocking med
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
Tinitus
Veteran
Veteran


Joined: 20 Sep 2004
Posts: 1754

PostPosted: Wed Feb 05, 2014 7:31 pm    Post subject: media-video/ffmpeg:0 ("media-video/ffmpeg:0" is bl Reply with quote

Hallo,

ich habe hier ein merkwürdiges blocking Problem....
media-video/ffmpeg:0 ("media-video/ffmpeg:0" is blocking media-video/libav-9.10

Was macht man da am Besten? Kann mir darauf keinen Reim machen.
Code:
 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (media-video/ffmpeg-1.0.8::gentoo, installed) pulled in by
    media-video/ffmpeg:0 required by (media-tv/xbmc-12.2-r1::gentoo, installed)
    media-video/ffmpeg:0 required by (media-plugins/gst-plugins-ffmpeg-0.10.13_p201211-r1::gentoo, installed)
    media-video/ffmpeg:0 required by (media-video/mplayer2-2.0_p20130126::gentoo, installed)
    media-video/ffmpeg:0 required by (media-video/vlc-2.0.7::gentoo, installed)
    media-video/ffmpeg:0 required by (media-libs/xine-lib-1.2.3::gentoo, installed)
    >=media-video/ffmpeg-0.10.3:0[X?,encode?,gsm?,jpeg2k?,mp3?,sdl?,speex?,theora?,threads?,truetype?,vaapi?,vdpau?,x264?] (>=media-video/ffmpeg-0.10.3:0[X,encode,mp3,sdl,threads,truetype,vaapi,vdpau,x264]) required by (virtual/ffmpeg-0.10.3::gentoo, installed)

  (media-video/libav-9.10::gentoo, ebuild scheduled for merge) pulled in by
    >=media-video/libav-0.8.4[X?,encode?,gsm?,jpeg2k?,mp3?,sdl?,speex?,theora?,threads?,truetype?,vaapi?,vdpau?,x264?] (>=media-video/libav-0.8.4[X,encode,mp3,sdl,threads,truetype,vaapi,vdpau,x264]) required by (virtual/ffmpeg-0.10.3::gentoo, installed)
    >=media-video/libav-9:= required by (media-video/handbrake-0.9.9::gentoo, ebuild scheduled for merge)
Back to top
View user's profile Send private message
Christian99
Veteran
Veteran


Joined: 28 May 2009
Posts: 1176

PostPosted: Wed Feb 05, 2014 9:27 pm    Post subject: Reply with quote

ist ganz normal, dass du libav und ffmpeg nicht gleichzeitig installieren kannst, enthält viele gleiche dateien.
ich seh jetzt aber nicht so ganz woran das liegt. was versuchst du denn zu machen?

Kann sein, dass es daran liegt das dein virtual/ffmpeg und media-video/ffmpeg nicht die gleichen use-flags haben. prüf das mal.
Back to top
View user's profile Send private message
frank9999
n00b
n00b


Joined: 20 Feb 2013
Posts: 61
Location: Germany

PostPosted: Wed Feb 05, 2014 9:38 pm    Post subject: Reply with quote

Hallo,

du brauchst eine neuere Version von ffmpeg als die zur Zeit installierte stable Version. Ich habe die Version 1.2.5 bei mir installiert.
Also einfach media-video/ffmpeg in package.accept_keywords eintragen, dann sollte es passen.
Allerdings erfordert dies anschließend noch ein emerge @preserved-rebuild und eine Menge Pakete muß neu gebaut werden.
Back to top
View user's profile Send private message
frank9999
n00b
n00b


Joined: 20 Feb 2013
Posts: 61
Location: Germany

PostPosted: Wed Feb 05, 2014 9:42 pm    Post subject: Reply with quote

Christian99 wrote:
ist ganz normal, dass du libav und ffmpeg nicht gleichzeitig installieren kannst, enthält viele gleiche dateien.
ich seh jetzt aber nicht so ganz woran das liegt. was versuchst du denn zu machen?


Für mich sieht es so aus also würde er versuchen handbrake zu installieren.
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3631
Location: Germany

PostPosted: Thu Feb 06, 2014 1:02 am    Post subject: Reply with quote

Jup, siehe im
handbrake-0.9.9.ebuild wrote:
Code:
ffmpeg? ( || ( >=media-video/libav-9:= >=media-video/ffmpeg-1.2.1:0= ) )
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum